Disclaimers
All operations require authentication.
Get the disclaimerAlpha
Returns the content of the disclaimer added at the bottom of the emails of the domain, and whether it is added only to external emails.
Path parameters
Domain name
Service
Response
Signature, added at the bottom of your organization emails
Creation date
Disclaimer name
Activate the disclaimer only for external emails
task pending id
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ disclaimer \
-H "authorization: Bearer $OVH_TOKEN"{ "content": "string", "creationDate": "2024-01-01T12:00:00Z", "name": "string", "outsideOnly": true, "taskPendingId": 0}
Create a disclaimerProduction
Create a disclaimer. Creates the disclaimer added at the bottom of the emails of the domain, and returns the task. Set outsideOnly to true to add it only to external emails. Insert Active Directory attributes in content as %%AttributeName%%.
Path parameters
Domain name
The internal name of your pro organization
Request body (required)
Signature, added at the bottom of your organization emails
Activate the disclaimer only for external emails
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ disclaimer \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete the disclaimerProduction
Delete the disclaimer. Removes the disclaimer of the domain, so that it is no longer added to the emails sent from it, and returns the task.
Path parameters
Domain name
The internal name of your pro organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ disclaimer \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update the disclaimerProduction
Update the disclaimer. Updates the content of the disclaimer of the domain, and outsideOnly to add it only to external emails. Insert Active Directory attributes in content as %%AttributeName%%.
Path parameters
Domain name
The internal name of your pro organization
Request body (required)
Signature, added at the bottom of your organization emails
Creation date
Disclaimer name
Activate the disclaimer only for external emails
task pending id
Response
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ disclaimer \
-H "authorization: Bearer $OVH_TOKEN"List disclaimer attributesAlpha
Returns the Active Directory attributes that can be substituted in the disclaimer content, such as DisplayName, Email or PhoneNumber. Insert one in the disclaimer content as %%AttributeName%%.
Path parameters
Domain name
Service
Response
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ pro/ {service}/ domain/ {domainName}/ disclaimerAttribute \
-H "authorization: Bearer $OVH_TOKEN"[ "City"]